{
	myPopup

	WhichClient [0]

	Init[ (s)
	{
		MenuBackground(182);

		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(112,false);

		AddMenuItem(26,"Reject1");
		SetSelectable(6,false);
		AddMenuItem(26,"Reject2");
		SetSelectable(7,false);
		AddMenuItem(26,"Reject3");
		SetSelectable(8,false);
		AddMenuItem(26,"Reject4");
		SetSelectable(9,false);
		AddMenuItem(26,"Reject5");
		SetSelectable(10,false);
		AddMenuItem(26,"Reject6");
		SetSelectable(11,false);
		AddMenuItem(26,"Reject7");
		SetSelectable(12,false);

		AddStaticItem(493,0);

		AddMenuItem(67, "Connect");
		AddMenuItem(68, "StartGame");
		SetSelectable(16,false);

		myPopup=CreatePopupMenu(15,75,150,60);
		myPopup.AddItem(494);
		myPopup.AddItem(49,"ActuallyReject");
		myPopup.AddItem(50,"CancelReject");
		myPopup.SetSelectable(0,false);
		myPopup.SetVisible(false);
		myPopup.SetSelectedItem(2);
		myPopup.SetBackground();

		funtext=AddFloatingTextJustify(530, 0, 195, false,32767);
                funtext.SetFontNum(1);
		funtext=AddFloatingTextJustify(531, 176, 195, true,32767);
		funtext.SetFontNum(1);


		MPBeginHost();
	} ]

	ActuallyReject[ (s)
	{
		myPopup.SetVisible(false);
		RejectClient(WhichClient);
	} ]

	CancelReject[ (s)
	{
		myPopup.SetVisible(false);
	} ]

	Reject1[ (s)
	{
		WhichClient = 6;
		myPopup.SetVisible(true);
		myPopup.SetSelectedItem(2);
	} ]

	Reject2[ (s)
	{
		WhichClient = 7;
		myPopup.SetVisible(true);
		myPopup.SetSelectedItem(2);
	} ]

	Reject3[ (s)
	{
		WhichClient = 8;
		myPopup.SetVisible(true);
		myPopup.SetSelectedItem(2);
	} ]

	Reject4[ (s)
	{
		WhichClient = 9;
		myPopup.SetVisible(true);
		myPopup.SetSelectedItem(2);
	} ]

	Reject5[ (s)
	{
		WhichClient = 10;
		myPopup.SetVisible(true);
		myPopup.SetSelectedItem(2);
	} ]

	Reject6[ (s)
	{
		WhichClient = 11;
		myPopup.SetVisible(true);
		myPopup.SetSelectedItem(2);
	} ]

	Reject7[ (s)
	{
		WhichClient = 12;
		myPopup.SetVisible(true);
		myPopup.SetSelectedItem(2);
	} ]

	HostGameMenuBack[ (s)
	{
		CloseMPHostMenu();
		//OpenMenu("MainMenu");
	} ]

	Connect[ (s)
	{
		MPHostConnect();
	} ]

	StartGame[ (s)
	{
		MPHostPlay();
	} ]
}